<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTableBmServiceApply extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_applys', function (Blueprint $table) {
           $table->increments('id')->comment('自增id');
           $table->integer('docter_id')->comment('医生id')->nullable(false)->unsigned();
           $table->integer('service_type')->comment('服务类别 1 图文 2 电话 3 门诊')->nullable(false)->unsigned();
           $table->integer('status')->comment('审核状态 1 审核 2 已通过 3 已拒绝')->nullable(false)->unsigned();
           $table->dateTime('created_at')->comment('创建时间');
           $table->dateTime('updated_at')->comment('更新时间');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('service_applys');
    }
}
